Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 700852 - app-office/abiword-3.0.2-r2 with =dev-cpp/asio-1.10.8 - In file included from ServiceUnixAccountHandler.cpp:20: ./../../../backends/service/xp/ServiceAccountHandler.h:152:28: error: ‘error’ is not a member of ‘asio::placeholders’
Summary: app-office/abiword-3.0.2-r2 with =dev-cpp/asio-1.10.8 - In file included from...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-21 07:40 UTC by piotr5
Modified: 2020-04-20 02:55 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log.Z (build.log.Z,363.93 KB, application/x-compress)
2020-03-05 10:18 UTC, Sergey S. Starikoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description piotr5 2019-11-21 07:40:13 UTC
I have no problems building app-office/abiword-3.0.2-r2 with dev-cpp/asio-1.10.8 and all the various use-flags enabled.
just tried to compile abiword with dev-cpp/asio-1.14.0 and got:

In file included from ServiceUnixAccountHandler.h:23,
                 from ServiceUnixAccountHandler.cpp:20:
./../../../backends/service/xp/ServiceAccountHandler.h: In member function ‘void ServiceAccountHandler::_send(boost::shared_ptr<X>, RealmBuddyPtr)’:
./../../../backends/service/xp/ServiceAccountHandler.h:152:28: error: ‘error’ is not a member of ‘asio::placeholders’
        asio::placeholders::error, asio::placeholders::bytes_transferred, recipient,
                            ^~~~~

only info on this bug google found is https://www.bountysource.com/issues/60245293-error-error-is-not-a-member-of-asio-placeholders-error-bytes_transferred-is-not-a-member-of-asio-placeholders
Comment 1 Jeroen Roovers gentoo-dev 2019-11-21 07:42:46 UTC
Please attach the entire build log to this bug report.

Please post your `emerge --info' output in a comment.
Comment 2 Sergey S. Starikoff 2020-03-05 06:16:28 UTC
The same issue with =dev-cpp/asio-1.14.0:

# equery u dev-cpp/asio
[ Legend : U - final flag setting for installation]
[        : I - package is installed with flag     ]
[ Colors : set, unset                             ]
 * Found these USE flags for dev-cpp/asio-1.14.0:
 U I
 - - doc      : Add extra documentation (API, Javadoc, etc). It is recommended to enable per package instead of globally
 - - examples : Install examples, usually source code
 - - libressl : Use dev-libs/libressl instead of dev-libs/openssl when applicable (see also the ssl useflag)
 + + ssl      : Add support for SSL/TLS connections (Secure Socket Layer / Transport Layer Security)
 - - test     : Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled
                independently)


# einfo 
Portage 2.3.89 (python 3.6.10-final-0, default/linux/amd64/17.1, gcc-9.2.0, glibc-2.29-r7, 4.9.210-gentoo x86_64)
=================================================================
System uname: Linux-4.9.210-gentoo-x86_64-AMD_Athlon-tm-_II_X2_250_Processor-with-gentoo-2.6
KiB Mem:     1793080 total,     35024 free
KiB Swap:    8000364 total,   7561080 free
Timestamp of repository gentoo: Tue, 03 Mar 2020 00:45:02 +0000
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.30.1::gentoo
dev-lang/python:          2.7.17-r1::gentoo, 3.6.10::gentoo, 3.7.6::gentoo
dev-util/cmake:           3.14.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo
sys-devel/gcc:            9.2.0-r2::gentoo
sys-devel/gcc-config:     2.2::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.29-r7::gentoo
Repositories:

gentoo
    location: /usr/portage/gentoo
    sync-type: webrsync
    sync-umask: 022
    sync-uri: rsync://gw.domain.tld/gentoo-portage/
    sync-user: portage:portage
    priority: -1000
    sync-webrsync-verify-signature: yes

local
    location: /usr/portage/local
    masters: gentoo

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/env.d /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.4/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/distfiles"
EMERGE_DEFAULT_OPTS="--ask --verbose --autounmask=n"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildsyspkg config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles ipc-sandbox merge-sync metadata-transfer multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/                 ftp://mirror.yandex.ru/gentoo-distfiles/                 http://ftp.corbina.net/pub/Linux/gentoo/                 ftp://ftp.corbina.net/pub/Linux/gentoo/"
LANG="ru_RU.utf8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="ru ru_RU"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude-from=/etc/portage/rsync_excludes"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 ac3 acl alsa amd64 avi berkdb bold bzip2 cdr cli consolekit crypt cups cxx dbus djvu dri dvd flac fortran gdbm gif gtk iconv inotify jpeg libtirpc lock mp3 multilib ncurses nls nptl ogg openmp pam pcre pdf png policykit qt3support readline seccomp session split-usr ssl tcpd thunar tiff udev udisks unicode utf8 vorbis xattr xcb xulrunner zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2 sse3 sse4a" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" L10N="ru" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 3 Sergey S. Starikoff 2020-03-05 10:18:12 UTC
Created attachment 617148 [details]
build.log.Z
Comment 4 Larry the Git Cow gentoo-dev 2020-04-13 16:44:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=186b39b11516cc6b87f4e54d939208533160a0a8

commit 186b39b11516cc6b87f4e54d939208533160a0a8
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-04-13 16:44:07 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-04-13 16:44:07 +0000

    app-office/abiword: Remove old
    
    Closes: https://bugs.gentoo.org/629818
    Closes: https://bugs.gentoo.org/690326
    Closes: https://bugs.gentoo.org/700492
    Closes: https://bugs.gentoo.org/700852
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: David Seifert <soap@gentoo.org>

 app-office/abiword/Manifest                        |   2 -
 app-office/abiword/abiword-3.0.2-r3.ebuild         | 168 ---------------------
 .../files/abiword-3.0.2-extern-C-template.patch    |  29 ----
 3 files changed, 199 deletions(-)
Comment 5 Sandino Araico Sanchez 2020-04-20 02:55:10 UTC
3.0.4 same problem

In file included from ServiceUnixAccountHandler.h:23,
                 from ServiceUnixAccountHandler.cpp:20:
./../../../backends/service/xp/ServiceAccountHandler.h: In member function ‘void ServiceAccountHandler::_send(boost::shared_ptr<X>, RealmBuddyPtr)’:
./../../../backends/service/xp/ServiceAccountHandler.h:152:28: error: ‘error’ is not a member of ‘asio::placeholders’
  152 |        asio::placeholders::error, asio::placeholders::bytes_transferred, recipient,
      |                            ^~~~~
./../../../backends/service/xp/ServiceAccountHandler.h:152:28: note: suggested alternatives: